SSO (single sign-on) is being reconfigured. Maintenance started Jul 16 2:20PM UTC and will last 1 hour. Password-enabled login should still work.
Bug 190939 - Review Request: daap-sharp
Summary: Review Request: daap-sharp
Keywords:
Status: CLOSED NEXTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Chris Weyl
QA Contact: Fedora Package Reviews List
URL:
Whiteboard:
Depends On:
Blocks: FE-ACCEPT 190940
TreeView+ depends on / blocked
 
Reported: 2006-05-06 21:51 UTC by Brian Pepple
Modified: 2007-11-30 22:11 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2006-05-26 19:53:47 UTC
Type: ---


Attachments (Terms of Use)
fedora-5-x86_64-core buildlog (5.63 KB, text/plain)
2006-05-09 17:54 UTC, Chris Weyl
no flags Details
_correct_ x86_64 / FC-5 build.log (4.46 KB, text/plain)
2006-05-09 18:11 UTC, Chris Weyl
no flags Details
development / x86_64 build.log (8.23 KB, text/plain)
2006-05-09 20:21 UTC, Chris Weyl
no flags Details

Description Brian Pepple 2006-05-06 21:51:37 UTC
Spec URL: http://piedmont.homelinux.org/fedora/tangerine/daap-sharp.spec
SRPM URL: http://piedmont.homelinux.org/fedora/tangerine/daap-sharp-0.3.3-1.src.rpm
Description: daap-sharp is a DAAP (Digial Audio Access Protocol) implementation.
It is used by Apple's iTunes software to share music.

Comment 1 Chris Weyl 2006-05-09 16:26:46 UTC
MUSTS:
- rpmlint checks return (devel/i386):

[build@zeus result]$ rpmlint daap-sharp-0.3.3-1.i386.rpm
E: daap-sharp no-binary
E: daap-sharp only-non-binary-in-usr-lib
E: daap-sharp script-without-shellbang /usr/lib/daap-sharp/daap-sharp.dll.config
W: daap-sharp devel-file-in-non-devel-package /usr/lib/pkgconfig/daap-sharp.pc

[build@zeus result]$ rpmlint daap-sharp-0.3.3-1.src.rpm
E: daap-sharp hardcoded-library-path in %{_prefix}/lib
E: daap-sharp hardcoded-library-path in %{_prefix}/lib/%{name}

- package meets naming guidelines
- package meets packaging guidelines
- license (LGPL) OK, matches source, included text in %doc
- spec file legible, in am. english
- source matches upstream
53feead0f3ef75cf5e34cbb4f1d37f30  daap-sharp-0.3.3.tar.gz
53feead0f3ef75cf5e34cbb4f1d37f30  daap-sharp-0.3.3.tar.gz.srpm
- package compiles on devel (i386)
BAD: package fails to compile in mock on FC-5/x86_64 (and not ExcludeArch'ed):
    RPM build errors:
        File not found:
        /var/tmp/daap-sharp-0.3.3-1-root-mockbuild/usr/lib/daap-sharp
    Most likely due to this in %files:
        %{_prefix}/lib/%{name}
    Why not use %{_libdir}/%{name} instead?  In fact, why not use %{_libdir}
    everywhere %{_prefix}/lib is used in the spec?
- no missing BR
- no unnecessary BR
- no locales
- not relocatable
- no duplicate files
- permissions ok
- %clean ok
- macro use consistent
- code, not content
- no need for -docs
- nothing in %doc affects runtime
- no need for .desktop file
BAD: Files used by pkgconfig (.pc files) must be in a -devel package

SHOULD:
- why not include AUTHORS, ChangeLog, README, etc, in %doc?
- why not include the samples in %doc?


Comment 2 Brian Pepple 2006-05-09 16:38:11 UTC
(In reply to comment #1)
> 

> BAD: package fails to compile in mock on FC-5/x86_64 (and not ExcludeArch'ed):
>     RPM build errors:
>         File not found:
>         /var/tmp/daap-sharp-0.3.3-1-root-mockbuild/usr/lib/daap-sharp
>     Most likely due to this in %files:
>         %{_prefix}/lib/%{name}
>     Why not use %{_libdir}/%{name} instead?  In fact, why not use %{_libdir}
>     everywhere %{_prefix}/lib is used in the spec?
> BAD: Files used by pkgconfig (.pc files) must be in a -devel package
> 

The reasons for using %{_prefix}/lib and not having a -devel package are
explained on the wiki.

http://fedoraproject.org/wiki/Packaging/Mono



Comment 3 Brian Pepple 2006-05-09 16:58:04 UTC
Chris, Could you attach the build log for the mock failure on FC-5/x86_64, so I
can check to see why it failed?

Comment 4 Chris Weyl 2006-05-09 17:54:08 UTC
Created attachment 128801 [details]
fedora-5-x86_64-core buildlog

Buildlog from mock for x86_64 / FC-5.

Comment 5 Brian Pepple 2006-05-09 18:02:50 UTC
Comment on attachment 128801 [details]
fedora-5-x86_64-core buildlog

Wrong build log.  This is for perl-Test-Cmd.

Comment 6 Chris Weyl 2006-05-09 18:11:09 UTC
Created attachment 128802 [details]
_correct_ x86_64 / FC-5 build.log

(11:11:44) jima: cweyl: "due to scheduling difficulties, monday has been
extended through wednesday."

Comment 7 Chris Weyl 2006-05-09 20:21:27 UTC
Created attachment 128810 [details]
development / x86_64 build.log

As requested....

Comment 8 Brian Pepple 2006-05-09 20:40:29 UTC
Spec URL: http://piedmont.homelinux.org/fedora/tangerine/daap-sharp.spec
SRPM URL: http://piedmont.homelinux.org/fedora/tangerine/daap-sharp-0.3.3-2.src.rpm

* Tue May  9 2006 Brian Pepple <bdpepple@ameritech.net> - 0.3.3-2
- Add patch to fix build on x86_64.

This should hopefully fix the build for development.  FC5 will still fail on
x86_64, due to a problem with avahi-sharp, though that will be addressed with
avahi-sharp-0.6.9-9.

Comment 9 Brian Pepple 2006-05-16 18:03:13 UTC
Spec URL: http://piedmont.homelinux.org/fedora/tangerine/daap-sharp.spec
SRPM URL: http://piedmont.homelinux.org/fedora/tangerine/daap-sharp-0.3.3-3.src.rpm

* Tue May 16 2006 Brian Pepple <bdpepple@ameritech.net> - 0.3.3-3
- Add devel package for *.pc file.
- Add Req on mono-core.
- Use cleaner URL.

Comment 10 Chris Weyl 2006-05-26 00:30:38 UTC
Sorry for the delay.

Good:

- rpmlint checks return:
daap-sharp-0.3.3-3.src.rpm
E: daap-sharp hardcoded-library-path in %{_prefix}/lib
E: daap-sharp hardcoded-library-path in %{_prefix}/lib/%{name}
daap-sharp-0.3.3-3.x86_64.rpm
E: daap-sharp no-binary
E: daap-sharp only-non-binary-in-usr-lib
E: daap-sharp script-without-shellbang
/usr/lib/daap-sharp/daap-sharp.dll.configdaap-sharp-debuginfo-0.3.3-3.x86_64.rpm
daap-sharp-devel-0.3.3-3.x86_64.rpm
W: daap-sharp-devel no-documentation

All errors and warnings expected for mono packages.

- package meets naming guidelines
- package meets packaging guidelines
- license (LGPL) OK, text in %doc, matches source
- spec file legible, in am. english
- source matches upstream
- package compiles on devel (x86)
- no missing BR
- no unnecessary BR
- no locales
- not relocatable
- owns all directories that it creates
- no duplicate files
- permissions ok
- %clean ok
- macro use consistent
- code, not content
- no need for -docs
- nothing in %doc affects runtime
- no need for .desktop file
- devel package ok
- no .la files
- devel requires base package n-v-r

Not a must, but why not:
- include AUTHORS, ChangeLog, README, etc, in %doc?
- include the samples in %doc?

APPROVED.


Comment 11 Brian Pepple 2006-05-26 19:53:47 UTC
Built for FC-5 & devel.  Thanks for the review.


Note You need to log in before you can comment on or make changes to this bug.